//! Process definition and general utilities surrounding them

use super::{capabilities::Capabilities, Priority};

/// Process Identification
#[derive(Clone, Copy, PartialEq, Debug)]
#[repr(C)]
pub struct PID(pub usize);

/// A process
#[derive(Clone, Debug)]
pub struct Process {
    /// Internal PID
    pub id: PID,

    /// Process password
    pub password: u128,

    ///
    pub capabilities: Capabilities,
    /// A process's priority
    pub priority: Priority,
}

impl Process {}
