#![deny(missing_docs)]
//! The module of syscalls.

use crate::proc::PID;

pub mod file_calls;
pub mod time_calls;

#[repr(C)]
/// Signals that can be sent to a process
pub enum Signals {
    /// Terminate the process
    Terminate,
    /// Shutdown the process and allow it to shutdown cleanly
    Quit,
}

/// Send a signal to a process
///
/// # Arguments
///
/// * `pid` - The PID of the process to send the signal to
/// * `signal` - The signal to send
#[no_mangle]
pub extern "C" fn send_signal(pid: PID, signal: Signals) {}
